PHP Manual
Prev |  | Next

# mysql_close

(PHP 3, PHP 4, PHP 5)

mysql_close -- Close MySQL connection

## Description

bool mysql_close ( [resource link_identifier] )

mysql_close() closes the non-persistent connection to the MySQL server that's associated with the specified link identifier. If link_identifier isn't specified, the last opened link is used.

Using mysql_close() isn't usually necessary, as non-persistent open links are automatically closed at the end of the script's execution. See also freeing resources.

## Parameters

link_identifier

  The MySQL connection. If the link identifier is not specified, the last link opened by mysql_connect() is assumed. If no such link is found, it will try to create one as if mysql_connect() was called with no arguments. If by chance no connection is found or established, an `E_WARNING` level warning is generated.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. mysql_close() example
`<?php $link = mysql_connect('localhost', 'mysql_user', 'mysql_password'); if (!$link) { die('Could not connect: ' . mysql_error()); } echo 'Connected successfully'; mysql_close($link); ?>`
The above example will output:
    Connected successfully

## Notes

> Note: mysql_close() will not close persistent links created by mysql_pconnect().

## See Also

mysql_connect()
mysql_free_result()

Prev | Home | Next
mysql_client_encoding | Up | mysql_connect